petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetCoordinateDM

Sets the DM that prescribes coordinate layout and scatters between global and local coordinates

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetCoordinateDM(DM dm, DM cdm)

Logically Collective on DM

### Input Parameters

| dm | - the DM
| cdm | - coordinate DM

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMGetCoordinateDM(), DMSetCoordinates(), DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLocal()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages